// --- [ main.c ] -------------------------------------------------------------
//


#define EXTERN
#include <avr/interrupt.h>
#include <avr/io.h>
#include <avr/pgmspace.h>
#include <stdlib.h>
#include <string.h>

#include "global.h"
#include "TWI_Master.h"


// --- public - Variablen -----------------------------------------------------

// --- Prototypen -------------------------------------------------------------

// ----------------------------------------------------------------------------
int main(void)
{
   uint8_t i = 0;
   uint8_t twi_buffer[20];                   // In TWI_Master.h die Gre des Arrays (TWI_BUF_SIZE) prfen

   TWI_MA_init();                            // Die TWI-Schnittstelle initialisieren
   asm volatile ("sei");                     // Interrupts freigeben

   while(1)
   {
      twi_buffer[0] = 0x40;                 // Standardadresse PCF8574
      twi_buffer[1] = i++;

      TWI_MA_write(twi_buffer, 2);
      _delay_ms(100);
   }
}

// --- [ eof ] ----------------------------------------------------------------
