// --- [ TWI_Master.h ] -------------------------------------------------------
//
//	tab = 3

#define TWI_BUF_SIZE    32            	// Set to largest message size including address byte.
#define TWI_CLOCK      	100000UL			// 100kHz
#define TWI_TWBR 	      ((F_CPU / (2 * TWI_CLOCK)) - 8)

#define TWI_BUSY        (TWCR & (1<<TWIE | 1<<TWSTO))


void    TWI_MA_init( void );
void    TWI_MA_write( uint8_t * , uint8_t );
uint8_t TWI_MA_read( uint8_t * , uint8_t );
// uint8_t TWI_MA_LastTransOK(void);
// uint8_t TWI_Get_State_Info( void );


// --- [ eof ] ----------------------------------------------------------------
